using SqlSugar;
using System;

namespace DeviceRepair.Models
{
    [Serializable]
    [SugarTable("RoleAuths")]
    public class RoleAuthModel
    {
        public RoleAuthModel()
        {
            this.GUID = Guid.NewGuid();
        }

        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public int AutoID { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        [SugarColumn(ColumnName = "GUID")]
        public Guid GUID { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        [SugarColumn(ColumnName = "RoleID")]
        public int RoleID { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        [SugarColumn(ColumnName = "AuthID")]
        public int AuthID { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        [SugarColumn(ColumnName = "Status")]
        public bool Status { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        [SugarColumn(ColumnName = "CreateBy")]
        public int CreateBy { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        [SugarColumn(ColumnName = "CreateOn")]
        public DateTime CreateOn { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        [SugarColumn(ColumnName = "ModifyBy")]
        public int? ModifyBy { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        [SugarColumn(ColumnName = "ModifyOn")]
        public DateTime? ModifyOn { get; set; }
    }
}
